%define with_printer_applet 0
%{?_with_printer_applet: %{expand: %%global with_printer_applet 1}}

%define with_networkmanager 0
%{?_with_networkmanager: %{expand: %%global with_networkmanager 1}}

Name: kdebase4-workspace
Summary: KDE 4 application workspace components
Version: 4.1.2
Release: %mkrel 13
Epoch: 2
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
URL: http://www.kde.org
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/kdebase-workspace-%version.tar.bz2
Source1: kde.pam
Source2: kde-np.pam
Source3: mandriva-startkde
Patch0: kdebase-workspace-4.0.98-consolekit-kdm.patch
Patch1: kdebase-workspace-4.1.1-systray-notify.patch
Patch2: kdebase-workspace-4.1.0-add-cube-window-effect.patch
Patch3: kdebase-workspace-4.1.0-kdm-png-32-userlist.patch
Patch4: kdebase-workspace-4.1.1-mandrivamenu.patch
Patch5: kdebase-workspace-4.1.1-switch-mandriva-menu.patch
Patch6: kdebase-workspace-4.1.1-save_color_scheme_name.patch
Patch7: kdebase-workspace-4.1.2-fix-systemsettings-menuentry-name.patch
Patch8: kdebase-workspace-4.1.2-menu-translation.patch
Patch9: kdebase-workspace-4.1.2-notify_color_changes.patch
Patch10: kdebase-workspace-4.1.2-solid-suspend.patch
Patch11: kdebase-workspace-4.1.2-fix_gtkrc_iaora.patch
Patch12: kdebase-workspace-4.1.2-menu-button-plasma-icon.patch
Patch13: kdebase-workspace-4.1.2-startup-sound.patch
Patch14: kdebase-workspace-4.1.2-fix_mandrivamenu_tile.patch
# Backports
Patch200: kdebase-workspace-backport-4.2-rev841030.patch 
Patch201: kdebase-workspace-backport-4.2-rev842306.patch
Patch202: kdebase-workspace-backport-4.2-rev842040.patch
Patch203: kdebase-workspace-backport-4.2-tooltip.patch
# Testing
Patch300: kdebase-workspace-testing-xdg-support.patch
Patch301: kdebase-workspace-testing-kwin-no-glib-loop.patch
Patch302: kdebase-workspace-testing-show-systemsettings-menuentry.patch

BuildRequires: kde4-macros
BuildRequires: cmake
BuildRequires: kdelibs4-devel >= 4.0.81
BuildRequires: kdepimlibs4-devel >= 4.0.81
BuildRequires: kdebase4-runtime >= 1:4.0.81
BuildRequires: strigi-devel
BuildRequires: soprano-devel >= 2.0.98
BuildRequires: fontconfig-devel >= 2.4
BuildRequires: freetype2-devel
BuildRequires: pam-devel
BuildRequires: libsasl-devel
BuildRequires: openldap-devel
BuildRequires: avahi-compat-libdns_sd-devel 
BuildRequires: avahi-client-devel
BuildRequires: libsmbclient-devel > 3.0
BuildRequires: libieee1284-devel
BuildRequires: OpenEXR-devel
BuildRequires: hal-devel 
BuildRequires: libusb-devel
BuildRequires: libxml2-utils
BuildRequires: X11-devel
BuildRequires: GL-devel
BuildRequires: bdftopcf
BuildRequires: imake
BuildRequires: libraw1394-devel
BuildRequires: libxklavier-devel
BuildRequires: lua-devel
BuildRequires: resmgr-devel
BuildRequires: consolekit-devel
%if %{with_networkmanager}
BuildRequires: networkmanager-util-devel
BuildRequires: networkmanager-devel
%endif
BuildRequires: bluez-devel
BuildRequires: boost-devel
BuildRequires: xrdb
BuildRequires: qimageblitz-devel
%if %{with_printer_applet}
BuildRequires: python-qt4
BuildRequires: python-kde4
Requires: python-kde4
%endif
BuildRequires: lm_sensors-devel
BuildRequires: webkitkde-devel
Requires:      kdebase4-runtime
Requires:      strigi
Requires:      desktop-common-data
Requires:      xmessage
Requires:      xprop
Requires:      xset
Obsoletes:     kdebase4-progs < 1:3.93.0-0.714129.2
Obsoletes:     kdebase4-common <= 1:3.80.3
Obsoletes:     %{_lib}taskbar5 
Obsoletes:     %{_lib}taskbar4 < 1:3.93.0.708282.1
Obsoletes:     %{_lib}kickermain2 < 1:3.93.0.726385.1
Conflicts:     kdebase4-runtime < 1:3.93.0
Conflicts:     kdeplayground4-plasma < 3.94.1
Conflicts:     kdebase4-workspace-devel <= 1:4.0.68-1
Conflicts:     kdm < 2:4.1.0-10
%if %mdkversion > 200810
Conflicts:     krandr < 0.5.2.1-14
Conflicts:     kdebase-common < 1:3.5.9-38
Conflicts:     kdebase-progs < 1:3.5.9-38
Conflicts:     kdebase-kmenuedit < 1:3.5.9-38
Conflicts:     kdebase-ksysguard < 1:3.5.9-38
Conflicts:     %{_lib}kdebase4 < 1:3.5.9-38
Conflicts:     systemsettings-kde3 < 0.2-0.746525.3
Conflicts:     %{_lib}weather_ion4 < 4.0.80-4
%endif

%description
This package contains the KDE 4 application workspace components.

%post
%make_session

%postun
%make_session

%files 
%defattr(-,root,root)
%_sysconfdir/X11/wmsession.d/*
%_sysconfdir/profile.d/kde4.sh
%_sysconfdir/systemsettingsrc
%if %{with_printer_applet}
%_kde_bindir/printer-applet
%_kde_appsdir/printer-applet
%endif
%_kde_bindir/kaccess
%_kde_bindir/kapplymousetheme
%_kde_bindir/kblankscrn.kss
%_kde_bindir/kcheckrunning
%_kde_bindir/kcminit
%_kde_bindir/kcminit_startup
%_kde_bindir/kfontinst
%_kde_bindir/kfontview
%_kde_bindir/khotkeys
%_kde_bindir/klipper
%_kde_bindir/kmenuedit
%_kde_bindir/krandom.kss
%_kde_bindir/krandrtray
%_kde_bindir/krdb
%_kde_bindir/ksmserver
%_kde_bindir/ksplashsimple
%_kde_bindir/ksplashx
%_kde_bindir/ksplashx_scale
%_kde_bindir/ksysguard
%_kde_bindir/ksysguardd
%_kde_bindir/ksystraycmd
%_kde_bindir/kdostartupconfig4
%_kde_bindir/kstartupconfig4
%_kde_bindir/kwin
%_kde_bindir/kwin_killer_helper
%_kde_bindir/kwin_rules_dialog
%_kde_bindir/kxkb
%_kde_bindir/plasmoidviewer
%_kde_appsdir/kconf_update/*
%_kde_libdir/kde4/solid_*
%_kde_libdir/kde4/ion_*
%_kde_bindir/plasma
%_kde_bindir/plasmaengineexplorer
%_kde_bindir/plasmapkg
%_kde_bindir/solid*
%_kde_bindir/startkde
%_kde_bindir/safestartkde
%_kde_bindir/systemsettings
%_kde_bindir/krunner
%_kde_configdir/*
%_kde_libdir/kde4/krunner_*
%_kde_libdir/kde4/libexec/krunner_lock
%_kde_libdir/kconf_update_bin
%_kde_libdir/kde4/kcm_*
%_kde_libdir/kde4/kded_*
%_kde_libdir/kde4/kstyle_*
%_kde_libdir/kde4/kwin3_*
%_kde_libdir/kde4/kwin4_*
%_kde_libdir/kde4/kwin_*
%_kde_libdir/kde4/plasma_*
%_kde_libdir/kde4/fontthumbnail.so
%_kde_libdir/kde4/kfontviewpart.so
%_kde_libdir/kde4/kio_fonts.so
%_kde_libdir/libkdeinit4_*
%_kde_libdir/strigi/strigita_font.so
%_kde_datadir/applications/kde4/klipper.desktop
%_kde_datadir/applications/kde4/kmenuedit.desktop
%_kde_datadir/applications/kde4/krandrtray.desktop
%_kde_datadir/applications/kde4/ksysguard.desktop
%_kde_datadir/applications/kde4/kfontview.desktop
%_kde_appsdir/kfontinst
%_kde_appsdir/kfontview
%_kde_appsdir/kcontrol
%_kde_appsdir/solidfakebluetoothbackend
%_kde_appsdir/solidfakenetbackend
%_kde_appsdir/solid
%_kde_appsdir/desktoptheme
%_kde_appsdir/kaccess/kaccess.notifyrc
%_kde_appsdir/kcminput
%_kde_appsdir/kcmkeys
%_kde_appsdir/kdisplay
%_kde_appsdir/khotkeys
%_kde_appsdir/kmenuedit
%_kde_appsdir/ksplash
%_kde_appsdir/ksysguard
%_kde_appsdir/kthememanager
%_kde_appsdir/kwin
%_kde_datadir/autostart
%_kde_datadir/applications/kde4/systemsettings.desktop
%_kde_appsdir/systemsettings
%_kde_appsdir/kicker/applets/ksysguardapplet.desktop
%_kde_appsdir/konqsidebartng/virtual_folders/services/fonts.desktop
%_kde_appsdir/ksmserver
%_kde_datadir/kde4/services/*
%_kde_datadir/kde4/servicetypes/*
%_kde_datadir/sounds/pop.wav
%_kde_datadir/wallpapers
%_kde_docdir/*/*/kmenuedit
%_kde_docdir/*/*/klipper
%_kde_docdir/*/*/kxkb
%_kde_docdir/*/*/ksysguard
%_kde_docdir/*/*/plasma
%_kde_docdir/*/*/kcontrol
%_kde_docdir/*/*/systemsettings
%_kde_iconsdir/*/*/*/*
%_kde_iconsdir/Oxygen_Black
%_kde_iconsdir/Oxygen_Black_Big
%_kde_iconsdir/Oxygen_Blue
%_kde_iconsdir/Oxygen_Blue_Big
%_kde_iconsdir/Oxygen_White
%_kde_iconsdir/Oxygen_White_Big
%_kde_iconsdir/Oxygen_Yellow
%_kde_iconsdir/Oxygen_Yellow_Big
%_kde_iconsdir/Oxygen_Zion
%_kde_iconsdir/Oxygen_Zion_Big
%_kde_appsdir/color-schemes/*
%_kde_datadir/config.kcfg
%exclude %_kde_datadir/kde4/services/kdm.desktop
%exclude %_kde_libdir/kde4/kcm_kdm.so
%exclude %_sysconfdir/ksysguarddrc
%exclude %_kde_configdir/kdm
%exclude %_kde_datadir/config/kdm.knsrc
# We're providing kde4powersave, so don't make our users confuse with two applets
%exclude %_kde_libdir/kde4/plasma_applet_battery.so
%exclude %_kde_datadir/kde4/services/plasma-battery-default.desktop

#------------------------------------------------	

%define libsolidcontrolifaces_major 4
%define libsolidcontrolifaces %mklibname solidcontrolifaces %{libsolidcontrolifaces_major}

%package -n %libsolidcontrolifaces
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}solidcontrolifaces5 < 1:3.93.0-0.714129.2

%description -n %libsolidcontrolifaces
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libsolidcontrolifaces -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libsolidcontrolifaces -p /sbin/ldconfig
%endif

%files -n %libsolidcontrolifaces
%defattr(-,root,root)
%_kde_libdir/libsolidcontrolifaces.so.%{libsolidcontrolifaces_major}*

#------------------------------------------------	

%define libsolidcontrol_major 4
%define libsolidcontrol %mklibname solidcontrol %{libsolidcontrol_major}

%package -n %libsolidcontrol
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}solidcontrol5 < 1:3.93.0-0.714129.2

%description -n %libsolidcontrol
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libsolidcontrol -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libsolidcontrol -p /sbin/ldconfig
%endif

%files -n %libsolidcontrol
%defattr(-,root,root)
%_kde_libdir/libsolidcontrol.so.%{libsolidcontrol_major}*

#------------------------------------------------

%define libweather_ion_major 4
%define libweather_ion %mklibname weather_ion %{libweather_ion_major}

%package -n %libweather_ion
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}weather_ion5 < 1:3.93.0-0.714129.2
Obsoletes: %{_lib}kdebase46 <= 1:3.80.3

%description -n %libweather_ion
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libweather_ion -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libweather_ion -p /sbin/ldconfig
%endif

%files -n %libweather_ion
%defattr(-,root,root)
%_kde_libdir/libweather_ion.so.%{libweather_ion_major}*

#------------------------------------------------

%define libkdecorations_major 4
%define libkdecorations %mklibname kdecorations %{libkdecorations_major}

%package -n %libkdecorations
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdecorations5 < 1:3.93.0-0.714129.2
Obsoletes: %{_lib}kdebase46 <= 1:3.80.3

%description -n %libkdecorations
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkdecorations -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkdecorations -p /sbin/ldconfig
%endif

%files -n %libkdecorations
%defattr(-,root,root)
%_kde_libdir/libkdecorations.so.%{libkdecorations_major}*

#------------------------------------------------

%define libkscreensaver_major 5
%define libkscreensaver %mklibname kscreensaver %{libkscreensaver_major}

%package -n %libkscreensaver
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkscreensaver
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkscreensaver -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkscreensaver -p /sbin/ldconfig
%endif

%files -n %libkscreensaver
%defattr(-,root,root)
%_kde_libdir/libkscreensaver.so.%{libkscreensaver_major}*

#------------------------------------------------

%define libksgrd_major 4
%define libksgrd %mklibname ksgrd %{libksgrd_major}

%package -n %libksgrd
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libksgrd
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libksgrd -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libksgrd -p /sbin/ldconfig
%endif

%files -n %libksgrd
%defattr(-,root,root)
%_kde_libdir/libksgrd.so.%{libksgrd_major}*

#------------------------------------------------

%define libkwineffects_major 1
%define libkwineffects %mklibname kwineffects %{libkwineffects_major}

%package -n %libkwineffects
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkwineffects
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkwineffects -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkwineffects -p /sbin/ldconfig
%endif

%files -n %libkwineffects
%defattr(-,root,root)
%_kde_libdir/libkwineffects.so.%{libkwineffects_major}*

#------------------------------------------------

%define libkworkspace_major 4 
%define libkworkspace %mklibname kworkspace %{libkworkspace_major}

%package -n %libkworkspace
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kworkspace1 < 1:3.93.0-0.714129.2

%description -n %libkworkspace
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkworkspace -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkworkspace -p /sbin/ldconfig
%endif

%files -n %libkworkspace
%defattr(-,root,root)
%_kde_libdir/libkworkspace.so.%{libkworkspace_major}*

#------------------------------------------------

%define libplasma_major 2
%define libplasma %mklibname plasma %{libplasma_major}

%package -n %libplasma
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdebase46 <= 1:3.80.3
Obsoletes: %{_lib}plasma1 < 1:4.0.80-4

%description -n %libplasma
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libplasma -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libplasma -p /sbin/ldconfig
%endif

%files -n %libplasma
%defattr(-,root,root)
%_kde_libdir/libplasma.so.%{libplasma_major}*

#------------------------------------------------

%define libplasmaclock_major 4
%define libplasmaclock %mklibname plasmaclock %{libplasmaclock_major}

%package -n %libplasmaclock
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libplasmaclock
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libplasmaclock -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libplasmaclock -p /sbin/ldconfig
%endif

%files -n %libplasmaclock
%defattr(-,root,root)
%_kde_libdir/libplasmaclock.so.%{libplasmaclock_major}*

#------------------------------------------------

%define libprocesscore_major 4
%define libprocesscore %mklibname processcore %{libprocesscore_major}

%package -n %libprocesscore
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}processcore5 < 1:3.93.0-0.714129.2

%description -n %libprocesscore
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libprocesscore -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libprocesscore -p /sbin/ldconfig
%endif

%files -n %libprocesscore
%defattr(-,root,root)
%_kde_libdir/libprocesscore.so.%{libprocesscore_major}*

#------------------------------------------------

%define libprocessui_major 4
%define libprocessui %mklibname processui %{libprocessui_major}

%package -n %libprocessui
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}processui5 < 1:3.93.0-0.714129.2

%description -n %libprocessui
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libprocessui -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libprocessui -p /sbin/ldconfig
%endif

%files -n %libprocessui
%defattr(-,root,root)
%_kde_libdir/libprocessui.so.%{libprocessui_major}*

#------------------------------------------------

%define libkhotkeysprivate_major 4
%define libkhotkeysprivate %mklibname khotkeysprivate %{libkhotkeysprivate_major}

%package -n %libkhotkeysprivate
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkhotkeysprivate
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkhotkeysprivate -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkhotkeysprivate -p /sbin/ldconfig
%endif

%files -n %libkhotkeysprivate
%defattr(-,root,root)
%_kde_libdir/libkhotkeysprivate.so.%{libkhotkeysprivate_major}*

#------------------------------------------------

%define libkfontinst_major 4
%define libkfontinst %mklibname kfontinst %{libkfontinst_major}

%package -n %libkfontinst
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkfontinst
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkfontinst -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkfontinst -p /sbin/ldconfig
%endif

%files -n %libkfontinst
%defattr(-,root,root)
%_kde_libdir/libkfontinst.so.%{libkfontinst_major}*

#------------------------------------------------

%define libkfontinstui_major 4
%define libkfontinstui %mklibname kfontinstui %{libkfontinstui_major}

%package -n %libkfontinstui
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkfontinstui
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkfontinstui -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkfontinstui -p /sbin/ldconfig
%endif

%files -n %libkfontinstui
%defattr(-,root,root)
%_kde_libdir/libkfontinstui.so.%{libkfontinstui_major}*

#------------------------------------------------

%define libtaskmanager_major 4
%define libtaskmanager %mklibname taskmanager %{libtaskmanager_major}

%package -n %libtaskmanager
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}taskmanager5 < 1:3.93.0-0.714129.2

%description -n %libtaskmanager
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libtaskmanager -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libtaskmanager -p /sbin/ldconfig
%endif

%files -n %libtaskmanager
%defattr(-,root,root)
%_kde_libdir/libtaskmanager.so.%{libtaskmanager_major}*

#------------------------------------------------

%define libkwinnvidiahack_major 4
%define libkwinnvidiahack %mklibname kwinnvidiahack %{libkwinnvidiahack_major}

%package -n %libkwinnvidiahack
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkwinnvidiahack
KDE 4 core library.

%if %mdkversion < 200900
%post -n %libkwinnvidiahack -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkwinnvidiahack -p /sbin/ldconfig
%endif

%files -n %libkwinnvidiahack
%defattr(-,root,root)
%_kde_libdir/libkwinnvidiahack.so.%{libkwinnvidiahack_major}*

#-----------------------------------------------------------------------------

%package -n kdm
Summary: KDE Desktop Login Manager
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Requires: mandriva-kdm4-config
Conflicts: kdelibs4-core < 4.0.98-2
Conflicts: kdebase4-workspace < 2:4.1.1-1
Obsoletes: kdebase4-kdm < 1:3.93.0-0.714129.2
Obsoletes: kde4-kdm < 1:4.0.72
Provides: kde4-kdm
Provides: kdm4

%description -n kdm
KDE Desktop Login Manager.

%if %mdkversion > 200810
%post -n kdm
chksession -K 

%postun -n kdm
chksession -K 
%endif

%files -n kdm
%defattr(-,root,root)
%_sysconfdir/pam.d/kde
%_sysconfdir/pam.d/kde-np
%_sysconfdir/logrotate.d/kdm
%_kde_bindir/kdm
%_kde_bindir/kdmctl
%_kde_bindir/genkdmconf
%_kde_libdir/kde4/libexec/kcmdatetimehelper
%_kde_libdir/kde4/libexec/kdm_config
%_kde_libdir/kde4/libexec/kdm_greet
%_kde_libdir/kde4/libexec/kfontprint
%_kde_libdir/kde4/libexec/kio_fonts_helper
%_kde_libdir/kde4/libexec/krootimage
%_kde_libdir/kde4/libexec/test_kcm_xinerama
%attr(4755,root,root)  %_kde_libdir/kde4/libexec/kcheckpass
%_kde_libdir/kde4/kcm_kdm.so
%_kde_appsdir/doc/kdm
%dir %_kde_appsdir/kdm
%_kde_appsdir/kdm/*
%_kde_datadir/config/kdm.knsrc
%_kde_datadir/config/kdm
%_kde_datadir/kde4/services/kdm.desktop
%_kde_docdir/*/*/kdm
%_kde_libdir/kde4/kgreet_*
%exclude %_kde_appsdir/kdm/sessions/
%exclude %_kde_configdir/kdm/X*
%exclude %_kde_configdir/kdm/kdmrc
%exclude %_kde_configdir/kdm/backgroundrc

#-----------------------------------------------------------------------------

%package   devel
Summary:   Devel stuff for kdebase 4
Group:     Development/KDE and Qt
Requires:  kde4-macros
Requires:  kdelibs4-devel
Provides:  plasma-devel = %epoch:%version
Requires:  %libsolidcontrolifaces = %epoch:%version
Requires:  %libsolidcontrol = %epoch:%version
Requires:  %libkdecorations = %epoch:%version
Requires:  %libkscreensaver = %epoch:%version
Requires:  %libksgrd = %epoch:%version
Requires:  %libkwineffects = %epoch:%version
Requires:  %libkworkspace = %epoch:%version
Requires:  %libplasma = %epoch:%version
Requires:  %libplasmaclock = %epoch:%version
Requires:  %libprocesscore = %epoch:%version
Requires:  %libprocessui = %epoch:%version
Requires:  %libtaskmanager = %epoch:%version
Requires:  %libkwinnvidiahack = %epoch:%version
Obsoletes: %{_lib}kdebase46-devel < 1:3.93.0-0.714129.2
Conflicts: kdebase4-workspace < 1:4.0.82-2
%if %{mdkversion} > 200810
Conflicts: kdebase-devel < 1:3.5.9-38
Conflicts: kdelibs-devel < 30000000:3.5.9-12
%endif

%description  devel
This package contains header files needed if you wish to build applications
based on kdebase.

%files devel
%defattr(-,root,root)
%_kde_libdir/libkdecorations.so
%_kde_libdir/libkfontinst.so
%_kde_libdir/libkfontinstui.so
%_kde_libdir/libkhotkeysprivate.so
%_kde_libdir/libkscreensaver.so
%_kde_libdir/libksgrd.so
%_kde_libdir/libkwineffects.so
%_kde_libdir/libkwinnvidiahack.so
%_kde_libdir/libkworkspace.so
%_kde_libdir/libplasma.so
%_kde_libdir/libplasmaclock.so
%_kde_libdir/libprocesscore.so
%_kde_libdir/libprocessui.so
%_kde_libdir/libsolidcontrol.so
%_kde_libdir/libsolidcontrolifaces.so
%_kde_libdir/libtaskmanager.so
%_kde_libdir/libweather_ion.so
%_kde_prefix/include/*
%_kde_libdir/kde4/plugins/designer/*
%_kde_datadir/apps/cmake/*/*
%_kde_datadir/dbus-1/interfaces/*

#-----------------------------------------------------------------------------

%prep
%setup -q -n kdebase-workspace-%version
%patch0 -p1 -b .consoleKit_support
%patch1 -p0 -b .systray_notify
%patch2 -p0 -b .cube
%patch3 -p1 -b .kdm
%patch4 -p1 -b .mandrivamenu
%patch5 -p0 -b .switch
%patch6 -p1 -b .color_scheme
%patch7 -p1 -b .systemsettings_menu_entry_name
%patch8 -p0 -b .translation
%patch9 -p1 -b .notify_color_changes
%patch10 -p1 -b .solid_suspend
%patch11 -p1 -b .fix_gtkrc
%patch12 -p0 -b .menu-icon
%patch13 -p0 -b .startup-sound
%patch14 -p1 -b .mandrivamenu_tile

# Backports
%patch200 -p1 -b .backport42
#%patch201 -p1 -b .backport42
%patch202 -p1 -b .backport42
%patch203 -p1 -b .tooltip
# Testing
%patch300 -p1 -b .testing_xdg_support
%patch301 -p1 -b .kwin
%patch302 -p0 -b .show_systemsettings_menu_entry

%build
%cmake_kde4

%make


%install
rm -fr %buildroot
%makeinstall_std -C build

install -d -m 0775 %buildroot/etc/X11/wmsession.d/
%if %mdkversion > 200810
cat << EOF > %buildroot/etc/X11/wmsession.d/01KDE
%else
cat << EOF > %buildroot/etc/X11/wmsession.d/09KDE4
%endif
NAME=KDE4
ICON=kde-wmsession.xpm
DESC=The K Desktop Environment
EXEC=%_kde_bindir/startkde
SCRIPT:
exec %_kde_bindir/startkde
EOF

# Env entry for start kde4 
install -d -m 0755 %buildroot/etc/profile.d

cat <<EOF > %buildroot/etc/profile.d/kde4.sh
#!/bin/bash

function kde4 {
    xinit /etc/X11/Xsession KDE4
}
EOF

# Install kde pam configuration file
install -d -m 0755 %buildroot%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot%_sysconfdir/pam.d/kde
install -m 0644 %SOURCE2 %buildroot%_sysconfdir/pam.d/kde-np

# Mandriva startkde
install -m 0755 %SOURCE3 %buildroot/%_kde_bindir/startkde

# logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/kdm
/var/log/kdm.log {
    weekly
    notifempty
    missingok
    nocompress
}
EOF

%clean
rm -fr %buildroot




%changelog
* Fri Oct 03 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2:4.1.2-13mdv2009.0
+ Revision: 291046
- Fix the menu topbar for large menus (#44284)

* Fri Oct 03 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-12mdv2009.0
+ Revision: 290999
- Try to use a elegant form to fix the sound startup
- Fix wrong enconding in the menu - https://qa.mandriva.com/show_bug.cgi?id=44480

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-11mdv2009.0
+ Revision: 290899
- Fix sizing of menu button. PlasmaSvg is returning a square sizing, not respect original button size.

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-10mdv2009.0
+ Revision: 290709
- Removed double applet insertion.
- Initial PLasma::Icon modification to fit Mandriva non standard layout buttons. Applet size itself need be better handled.
- Fix double deletion in mandriva menu applet. For some reason this are affected only in x86_64 archs and indirectly was causing
  the crashes related to translation using Utf8. Now system can be used even in greek.

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Do not write gtkrc files when using IaOra

  + Tiago Salem <salem@mandriva.com.br>
    - fix wrong hal query about suspend method (#44315)

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-9mdv2009.0
+ Revision: 290197
- For some reason, utf translated strings are crashing in x86_64 systems, and a conversion is needed before mennu model is presented in screen. This is a workaround and not the proper fix yet, since the real reason for null pointer was not found.

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-8mdv2009.0
+ Revision: 289943
- Add translation for menu, as use sycoca instead of kservice

* Mon Sep 29 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2:4.1.2-6mdv2009.0
+ Revision: 289896
- Make the color configuration module notify all application rootwindows about the changes.
  This makes sure xsettings-kde will be able to apply the newly changed colors to gtk apps.

  + Funda Wang <fundawang@mandriva.org>
    - merge translation from kde3 branch

* Sun Sep 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.2-5mdv2009.0
+ Revision: 289078
- Change systemsettings menu entry name
- Fix version in startkde

* Sat Sep 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.2-4mdv2009.0
+ Revision: 288892
- rotate kdm logfiles

* Fri Sep 26 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2:4.1.2-3mdv2009.0
+ Revision: 288685
- Save the name of the color schemes

* Fri Sep 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.2-2mdv2009.0
+ Revision: 288512
- Allow systemsettings to show on the menu

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.2-1mdv2009.0
+ Revision: 288217
- KDE 4.1.2 arriving.
- Startkde now parses share/kde4/env

* Tue Sep 23 2008 Arthur Renato Mello <arthur@mandriva.com> 2:4.1.1-14mdv2009.0
+ Revision: 287238
- Adding support to use kde4-splash-mdv on startkde script

* Mon Sep 22 2008 Arthur Renato Mello <arthur@mandriva.com> 2:4.1.1-13mdv2009.0
+ Revision: 287149
- Add support for new KDE Splash on startkde script

* Sat Sep 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-12mdv2009.0
+ Revision: 286054
- Reintroduce proper systray refactor code

* Sat Sep 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-11mdv2009.0
+ Revision: 286050
- Systray not appears due new code and missing dataengine. Code reintroduced in patch.

* Fri Sep 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-10mdv2009.0
+ Revision: 286011
- "Soon it will grow, start moving and talking, and then turn into a cat." Well, not anymore :-)
  (c) Spuk 2009

* Fri Sep 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-9mdv2009.0
+ Revision: 285975
- Second fix for menu model issues

* Fri Sep 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-8mdv2009.0
+ Revision: 285940
- Fix another invalid access that lead menu to crash

* Thu Sep 18 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-7mdv2009.0
+ Revision: 285680
- Switch to mandriva menu instead of simpleapplet
- post branch patch to size of lock applet

* Wed Sep 17 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-6mdv2009.0
+ Revision: 285538
- revert changes of last startkde merge
- Fix menu issue with empty recently used applications

* Tue Sep 16 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-4mdv2009.0
+ Revision: 285187
- Removed invalid patch
- Fix for startkde from upstream package
- MOved wmsession to 01KDE, as requested by fcrozat

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-3mdv2009.0
+ Revision: 280690
- Convenience requires

* Mon Sep 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.1-2mdv2009.0
+ Revision: 278187
- Fix conflicts betwenn kdebase4-workspace && kdm

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.1-1mdv2009.0
+ Revision: 277818
- Upgrade test for 4.1.1.

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-20mdv2009.0
+ Revision: 276397
- Fix crash on invalid refcount at mandriva menu

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-19mdv2009.0
+ Revision: 276077
- kdm face icons now accept png as default
- Initial support for Mandriva menu. Issues in current plasma icon still  prevent proper menu icon

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - exclude battery desktop file too

* Sun Aug 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-17mdv2009.0
+ Revision: 275424
- backport tooltip support

* Sat Aug 23 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-16mdv2009.0
+ Revision: 275257
- Turn off glib loop on kwin to reduce cpu consumption. experimental patch.

* Sun Aug 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-15mdv2009.0
+ Revision: 272991
- Add patch to fix transparency issue

* Wed Aug 13 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-14mdv2009.0
+ Revision: 271415
- Daily branch patch update

* Thu Aug 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-13mdv2009.0
+ Revision: 266744
- Raise the release
- Daily branches patch update
- Added plasma notification applet as backport

* Thu Aug 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-11mdv2009.0
+ Revision: 265680
- Update xdg support patch again
- Move krunner_lock on the right package

* Wed Aug 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-9mdv2009.0
+ Revision: 264168
- Second try for the xdg support on the menu

* Tue Aug 05 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-8mdv2009.0
+ Revision: 263968
- Add fixes for simplemenu applet

* Tue Aug 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-7mdv2009.0
+ Revision: 263857
- Daily branch patch updates
- Disable plasma battery applet. We're providing kde4powersave and not intend to make our users confuse

* Mon Aug 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-6mdv2009.0
+ Revision: 263321
- Say Hello to the Magic Lamp effect

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed my patch mess related to branch. Now all patches are in proper order

* Sun Aug 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-5mdv2009.0
+ Revision: 262465
- [BUGFIX] Update with branch patches that fix some menus issues (Bug #42308)

* Fri Aug 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-4mdv2009.0
+ Revision: 259220
- Add patch 122 to fix crashes on classic menu applet

* Wed Jul 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-3mdv2009.0
+ Revision: 254154
- Start updates from post 4.1.0 branch on cooker only. All patches comes with full description inside.

* Mon Jul 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-2mdv2009.0
+ Revision: 251566
- Update with Release Candidate 1 - 4.1.0

* Sat Jul 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.1.0-1mdv2009.0
+ Revision: 250102
- Update cube effect patch ( lot of bugfixes)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.0

* Thu Jul 17 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.98-7mdv2009.0
+ Revision: 237751
- Update with current consolekit fedora patch as pointed by neoclust and discussed in the bko thread http://bugs.kde.org/show_bug.cgi?id=147790. All patches from Mandriva was integrated alreadyin this fedora patch and we're aiming for a common version

* Mon Jul 14 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.98-6mdv2009.0
+ Revision: 234698
- rc1 tarball ws updated upstream to include systray fix

* Sun Jul 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.98-5mdv2009.0
+ Revision: 234388
- Update cube effcts

* Sun Jul 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2:4.0.98-4mdv2009.0
+ Revision: 234308
- Update Cube effects (Now there is a cylinder effects too on it )

* Fri Jul 11 2008 Olivier Blin <oblin@mandriva.com> 2:4.0.98-3mdv2009.0
+ Revision: 233829
- rebuild since the BS ate the previous release
- fix autologin for users having a password (by using pam_permit in kde-np pam config)
- move kde pam files to kdm package (used by kdm only, and provided upstream in kdebase-workspace)

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.98-1mdv2009.0
+ Revision: 233204
- Update with Release Candidate 1 - 4.0.98

* Wed Jul 09 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.85-2mdv2009.0
+ Revision: 233151
- Fixed click x double click login issue on kdm list

* Wed Jul 09 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.85-1mdv2009.0
+ Revision: 233107
- First attempt from upstream to fix nasty systray gtk bug. Related to bko https://bugs.kde.org/show_bug.cgi?id=164786

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.85-1mdv2009.0
+ Revision: 232325
- Fix File list
- Update to kde 4.0.85
  Remove patches 4,5,6 : Merged upstream

* Sun Jul 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-9mdv2009.0
+ Revision: 232275
- Fix cube effect patch header
- New snapshot of cube effect patch
  Close cube with release of right mouse button. (I do not understand why catching a double click event does not work...)
  FEATURE: 165855

* Sat Jul 05 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-8mdv2009.0
+ Revision: 232019
- New snapshot of cube effect patch
  Now you can move the cube with the mouse

* Wed Jul 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-7mdv2009.0
+ Revision: 230802
- Add patch6 that add missing bluetooth signals ( needed by next kbluetooth4 )

* Wed Jul 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-6mdv2009.0
+ Revision: 230633
- Fix cub effect patch
- Update Cube patch ( now there is a configuration window )

* Tue Jul 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-5mdv2009.0
+ Revision: 230436
- New version of the systray fix patch

* Sun Jun 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-4mdv2009.0
+ Revision: 230023
- Fix cube effect patch
- Update cube effect patch

* Sat Jun 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-3mdv2009.0
+ Revision: 229808
- Update Patch 2 : Cube Effet
  Disable patch 5 for now as it do not work for the moment

* Sat Jun 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.84-2mdv2009.0
+ Revision: 229638
- Remove Patch3 : Merged upstream
  Add Experimental patch5, that try to fix the issue with net_applet not visible on the systray

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with new snapshot tarballs 4.0.84

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-2mdv2009.0
+ Revision: 227609
- Strange that last package just missed one of the headers blocking plasmoids to be built

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 227487
- Update with new snapshot tarballs 4.0.83

* Wed Jun 18 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-5mdv2009.0
+ Revision: 225366
- Moved cube effect patch to top of patch list.
- Removed all foreign patches that comes from a different codebase.
  Cleaning up help us to find issues as some reported in recent qa article by Frederik
- mdv online desktop removed for now. Planning for a Mandriva Plasmoid in future to replace all this
  features

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add patch11 that add support for cube on the window effects

* Sat Jun 14 2008 Anssi Hannula <anssi@mandriva.org> 1:4.0.82-3mdv2009.0
+ Revision: 219127
- update versioned conflicts for old krandr
- add conflicts to -devel with old kde3 devel packages
- update versioned conflicts in -devel for moved dbus interface files

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-2mdv2009.0
+ Revision: 218298
- Proper interface dir
- Update with new snapshot tarballs 4.0.82
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.81-3mdv2009.0
+ Revision: 214835
- Fixed consolekit patch
- Update with new snapshot tarballs 4.0.81

* Sun Jun 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.81-2mdv2009.0
+ Revision: 214157
- Fix menu-laucher patch
- Use upstream commit 815052 to associate Alt+F1 by default with the menu

* Fri May 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.81-1mdv2009.0
+ Revision: 213282
- New snapshot 4.0.81
- New snapshot 4.0.81
- Add drakconf with systemsettings on kickoff
- Add patch6 to fix bnc #391765

* Mon May 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-5mdv2009.0
+ Revision: 211402
- Unactivate patch 2 for the moment
- Fix patch 5
- Disable patch5 for the moment
- Explicitly add major
- Obsoletes libplasma1
- Apply patch 5
- Add some functionnalities :
  	- List newly installed apps (upstream commit ) (revision 791871 )
  	- Add the save session feature ( revision 808087 )
  	- Copy suspend parts from ksmserver logout dialog (revision 811622 )
  	- Make drop of local file to Plasma desktop copy to ~/Desktop ( revision 811590 )
  	- Add global shortcut to open start menu ( revision 807732 )

* Sat May 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-2mdv2009.0
+ Revision: 210968
- Fix File List
- [BUGFIX] Make kcheckpass working by making it suid root (Bug #41023)

* Sat May 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.80-1mdv2009.0
+ Revision: 210923
- Versionnate BR
- Own %%_kde_appsdir/ksmserver
- Own %%_kde_appsdir/systemsettings

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Sun May 18 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.74-4mdv2009.0
+ Revision: 208820
- Do not build networkmanager support for the moment

* Sun May 18 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.74-3mdv2009.0
+ Revision: 208687
- Fix conflicts against systemsettings-kde3 (thanks to berthy)

* Fri May 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.74-2mdv2009.0
+ Revision: 208163
- Versionnate BuildRequire
- Rebuild against new kdepimlibs4

* Fri May 16 2008 Funda Wang <fundawang@mandriva.org> 1:4.0.74-1mdv2009.0
+ Revision: 208065
- New version 4.0.74

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 1:4.0.73-2mdv2009.0
+ Revision: 206680
- add Conflicts for old KDE3 packages for smooth upgrade

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.73-1mdv2009.0
+ Revision: 204571
- Update to kde 4.0.73

* Wed May 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-4mdv2009.0
+ Revision: 203396
- Add back support for mandriva menus

* Tue May 06 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.72-3mdv2009.0
+ Revision: 202213
- Now requires proper config files for kdm
- Removed duplicated and invalid files
- Fixed startkde with current upstream changes
  At this moment, kde 4.1 alpha can start to be used in cooker

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix BuildRequires ( thanks to helio )

* Tue May 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.72-1mdv2009.0
+ Revision: 201968
- Fix file list (comment for the moment, will be fixed on the next rpm
- Add buildrequire
- Add some BuildRequires
- Update to kde 4.0.72
- Add upstream missing functions (setMaxSourceCount and maxSourceCount)
- add printer-applet files
- New snapshot 4.0.69
- New Snapshot ( 4.0.69 )
  Reverted change from revision 192347 ( made  too much conflicts )
  Remove merged upstream patch ( Patch 100 )

  + Helio Chissini de Castro <helio@mandriva.com>
    - kdm earns their own name now, finally
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE vi kdenetwork4/SPECS/kdenetwork4.spec ;-)

* Sat Mar 29 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191121
- Remvove debug
- remove already included patches
- Update for last stable release 4.0.3

* Tue Mar 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-6mdv2008.1
+ Revision: 186979
- [FEATURE] Add mandriva tools at start on the systray (Bug #38761)

* Mon Mar 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-5mdv2008.1
+ Revision: 183929
- [BUGFIX] Allow to double click on desktop icons (Bug #38597)
- backport patch from 4.0.3 to fix changing wallpapers

* Mon Mar 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-4mdv2008.1
+ Revision: 183472
- Fix install of startkde
- Use external startkde  file
  Use mandriva menu layout (Bug # 38087)

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-3mdv2008.1
+ Revision: 182142
- Rebuild against new qt4 changes

* Sun Mar 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 177701
- Fix File list
- Fix conflict with kde4-kinfocenter (part 1)
- [BUGFIX] Do not crash when the wallpaper do not exist anymore (Bug #37992)
- Add ifdef statement to allow backports again

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-2mdv2008.1
+ Revision: 164815
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE Team

* Fri Jan 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-4.765577.2mdv2008.1
+ Revision: 158079
- Really remove plasma lib to devel package ( thanks thierry )

* Thu Jan 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-4.765577.1mdv2008.1
+ Revision: 157529
- Update for current 4.0 branch

* Wed Jan 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-4mdv2008.1
+ Revision: 157230
- Move devel files out of main package

* Sun Jan 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-3mdv2008.1
+ Revision: 155174
- [FEATURE] Add systemtray patch to allow to have gtk apps on the systray
- [FEATURE] Add ConsoleKit support to kdm (from fedora)

* Sat Jan 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-2mdv2008.1
+ Revision: 155016
- Fix File list so no devel packages are needed anymore

* Thu Jan 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-1mdv2008.1
+ Revision: 147717
- Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-1.752045.1mdv2008.1
+ Revision: 137370
- New snapshot
  libkwinnvidiahack is now on this package
  Kdm can be started now

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-1mdv2008.1
+ Revision: 117079
- New snapshot
  Kfontinst, libkfontinst and libkfontinstui are now on workspace

  + Helio Chissini de Castro <helio@mandriva.com>
    - Updating to official 3.97.0

* Sun Dec 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.743949.1mdv2008.1
+ Revision: 114453
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.743105.1mdv2008.1
+ Revision: 114056
- New snapshot

* Wed Nov 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.742711.1mdv2008.1
+ Revision: 113774
- New snapshot

* Mon Nov 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.741587.4mdv2008.1
+ Revision: 112015
- New snapshot

* Sat Nov 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.740034.4mdv2008.1
+ Revision: 111748
- Make file list cleaner
  Add missing plasma file (libkdeinit_plasma.so)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better description

* Thu Nov 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.740034.3mdv2008.1
+ Revision: 111352
- Fix Obsoletes for libkickermain2

* Thu Nov 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.740034.2mdv2008.1
+ Revision: 111344
- Fix Obsoletes for libtaskbar{4,5}

* Thu Nov 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.740034.1mdv2008.1
+ Revision: 111338
- New snapshot

* Fri Nov 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.0-0.737290.1mdv2008.1
+ Revision: 109044
- KDE 3.96.0

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.95.2-0.734846.1mdv2008.1
+ Revision: 107511
- New snapshot ( say hello back to nepomuk )

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.95.1-0.731791.1mdv2008.1
+ Revision: 105284
- Fix file list
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.730896.1mdv2008.1
+ Revision: 103768
- Fix file list
- New snapshot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.729034.1mdv2008.1
+ Revision: 102036
- Fix File List
- New snapshot

* Wed Oct 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.728613.2mdv2008.1
+ Revision: 101661
- New snapshot
- New svn snapshot
  Fix File list
  Fix confict against next kdeplayground4-plasma
- Do not package nepomul stuffs, they belong to runtime

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.727635.2mdv2008.1
+ Revision: 100904
- Clean file list

* Thu Oct 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.726385.2mdv2008.1
+ Revision: 100032
- Add conflict as some plasma applets moved from playground to kdebase

* Wed Oct 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.726385.1mdv2008.1
+ Revision: 99742
- Kde 4.0 Beta 3
- New svn snapshot

* Wed Oct 03 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714129.4mdv2008.0
+ Revision: 95202
- Removing external reference to a png file in kde4-wallpaper-mandriva.svg
- Bump release

* Fri Sep 28 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714129.3mdv2008.0
+ Revision: 93600
- Adding patch to disable plasma taskbar
- Adding panel.desktop to autostart kicker
- Adding k4 function to run kde4 apps (Ex: k4 konqueror)
- Bumping release

* Thu Sep 20 2007 Tiago Salem <salem@mandriva.com.br> 1:3.93.0-0.714129.2mdv2008.0
+ Revision: 91567
- Removing mdv2008.0 from Obsoletes tags.
- Making Obsoletes tags versioned

* Sat Sep 15 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-0.712616.2mdv2008.0
+ Revision: 85841
- Update with revision 712616

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Do not install Kde4 when this is not needed (Bug #31484)

* Thu Sep 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-0.709129.1mdv2008.0
+ Revision: 81147
- Update with revision 709129
- Update with revision 708704

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-0.708282.1mdv2008.0
+ Revision: 79446
- New package

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.706306.1mdv2008.0
+ Revision: 75070
- Update with revision 706306

* Tue Aug 28 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.705487.2mdv2008.0
+ Revision: 72365
- Update with revision 705487
- Update with revision 704399
- Update with revision 702959
- Update to revision 700912

* Thu Aug 02 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.695685.1mdv2008.0
+ Revision: 58317
- Update for revision 695685
- Update for revision 695647

* Fri Jul 27 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92-0.693361.2mdv2008.0
+ Revision: 56445
- Update to revision 693361
- Disable klipper start for a while
- Using new simplified build
- Update for revision 690341

* Wed Jul 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.689200.2mdv2008.0
+ Revision: 53295
- Better add an svg image than a shell script...

* Wed Jul 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.689200.1mdv2008.0
+ Revision: 53162
- Fix soname now in kdebase
- Update with revision 689200
- Fixed file list
- Fix plasma wallpaper ( hope so )
- Update to revision 688743

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 1:3.91-0.686880.3mdv2008.0
+ Revision: 52444
- require xmessage in the workspace package, it is used in startkde

* Sat Jul 14 2007 Olivier Blin <oblin@mandriva.com> 1:3.91-0.686880.2mdv2008.0
+ Revision: 51904
- require xprop and xset in the workspace package, they are used in startkde

* Thu Jul 12 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.686880.1mdv2008.0
+ Revision: 51575
- Fix Mandriva background wallpaper
- Update for revision 686880

* Wed Jul 11 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.686593.1mdv2008.0
+ Revision: 51431
- Update for match new kdelibs
- Update with revision 683926

* Wed Jul 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.91-0.682706.1mdv2008.0
+ Revision: 47973
- Fix Conflicts
- New snapshot after monday BIC

* Tue Jul 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.91-0.682449.1mdv2008.0
+ Revision: 47387
- Put them on the right place
- New snapshot

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix file list
    - Update from svn pos 3.91
    - New svn snapshot with more dolphin fixes
    - Update from svn

* Tue Jun 26 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.680516mdv2008.0
+ Revision: 44518
- Finally a working build of current svn. Kdesktop is about to die.
- Revision 680516
- Update for svn revision 678468

* Tue Jun 19 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.677668mdv2008.0
+ Revision: 41649
- Added nepomuk start/stop scripts on env/shutdown. Is not perfect yet but will help Sebastian to
  demonstrate nepomuk on akademy
- Updated to lates branch. Preview back to work

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

* Mon Jun 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.677187mdv2008.0
+ Revision: 41115
- Make dm session works. Previous startkde patch was broken
- Remove dups in file list
- Now we have some background :-)

* Sun Jun 17 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.676742mdv2008.0
+ Revision: 40552
- Added startup by command line. Just need type kde4
- Added env for running kde4 apps. Now just need type kde4env
- Fixed dm entry
- New svn update. Oxygen kwin avaiable

* Sat Jun 16 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.676117mdv2008.0
+ Revision: 40370
- New revision from svn
- New kdebase 4 package

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix File list
    - New svn snapshot

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25645
- Update release
- new snapshot
- It's possible to compile with enable final

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.6mdv2008.0
+ Revision: 20514
- new snapshot
- new snapshot

